Page MenuHomePhabricator

Add project Skin:Citizen to translatewiki.net
Closed, ResolvedPublic

Description

Project setup checklist

Project information

Name: Citizen Skin
Homepage: https://www.mediawiki.org/wiki/Skin:Citizen
Logo:

  • Without text:
  • With text:
  • Optional, SVG format recommended. Add filename in commons or translatewiki.net translatewiki.net

Project description: Citizen is a responsive skin for MediaWiki built by the Star Citizen Wiki team.

Project page:

Project configuration (for translation admins)

Namespace: NS_MEDIAWIKI
Prefix: citizen-
Validators: Same as other MediaWiki skins

Event Timeline

abi_ created this task.Jun 11 2020, 10:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2020, 10:16 AM
abi_ triaged this task as Medium priority.Jun 11 2020, 10:17 AM
abi_ moved this task from Backlog to New projects for translation on the translatewiki.net board.
alistair3149 added a subscriber: alistair3149.
alistair3149 added a comment.EditedJun 12 2020, 8:51 AM

@abi_ Thanks for adding the project!
I added the project information to Translatewiki, and commit access is granted too.
Please let me know if there's anything I can do to help.

Change 605552 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add support for Star Citizen skin

https://gerrit.wikimedia.org/r/605552

abi_ updated the task description. (Show Details)Jun 15 2020, 10:26 AM
abi_ claimed this task.Jun 15 2020, 10:31 AM

@alistair3149 -

We've accepted the Github request.

  1. We'll be pushing translations to the master branch on Github.
  2. We're going to be using the following project icon on translatewiki - https://translatewiki.net/wiki/File:Starcitizen-logo.svg
  3. New translations are pushed out twice a week. How often do you release / deploy a new version of the skin?

Change 605552 merged by jenkins-bot:
[translatewiki@master] Add support for Star Citizen skin

https://gerrit.wikimedia.org/r/605552

@alistair3149 -

We've accepted the Github request.

  1. We'll be pushing translations to the master branch on Github.
  2. We're going to be using the following project icon on translatewiki - https://translatewiki.net/wiki/File:Starcitizen-logo.svg
  3. New translations are pushed out twice a week. How often do you release / deploy a new version of the skin?

@abi_

  1. Sounds awesome.
  2. What's the use of an icon? Since it's a MediaWiki skin I'm unsure what does an icon do for it.
  3. The skin is updated continuously in the master branch. Though almost all of the updates do not affect messages. I try to rely on existing Mediawiki messages as much as possible.
abi_ added a comment.Jun 18 2020, 11:25 AM

@alistair3149 ,

  1. The skin is just good to have and may give translators some additional info about the project. Currently the skin is used on the project page and the group selector for example -
  2. How often are changes from master deployed to the production server? We don't want translations pushed out from translatewiki to sit idle without being used for long periods of time.
alistair3149 added a comment.EditedJun 18 2020, 6:17 PM

@alistair3149 ,

  1. How often are changes from master deployed to the production server? We don't want translations pushed out from translatewiki to sit idle without being used for long periods of time.

@abi_ The skin has a master release policy and since it is a MW skin, it is up to the individual wikis to choose when they update their production. On production for Star Citizen Wiki might take weeks to months, while on other independent wikis can update bi-weekly, and weekly usually for Miraheze.

It also depends if the wiki needs to have up-to-date translations, naturally if a wiki is using MLEB then they would be updating more often, but if the wiki is only a single language one then they might decide not to update until there are larger feature and bugfix updates.

abi_ closed this task as Resolved.Jun 25 2020, 10:16 AM

I think this is setup well and can be marked as done.

abi_ updated the task description. (Show Details)Jun 25 2020, 10:18 AM